
TYPO3.Flow - Bug # 37186

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Cli
Created: 2012-05-15 Assigned To:
Updated: 2012-05-22 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: flow3:package:refreeze displays verbose hints of cache:flush
Description

With I4db274dcf0376ada53a3a46ed5c6b945543698d1 the typo3.flow3:cache:flush command outputs all frozen packages. This
message should be hidden when the cache:flush command is executed from another command (for example flow3:package:refreeze
).

Related issues:
related to TYPO3.Flow - Feature # 37188: Global verbosity flags for CLI Commands Closed 2012-05-15

Associated revisions
Revision 2810a6cc - 2012-05-21 14:09 - Bastian Waidelich

[BUGFIX] Package refreeze command is too verbose

flow3:package:refreeze currently displays the output of cache:flush
which contains hints about frozen packages.

This change adds a flag $outputResults to Scripts::executeCommand()
that only outputs errors if set to FALSE.
The package commands now set this flag in order to skip output from
cache:flush.

Change-Id: I502aa1ea46e53ab64b42bb90b8fcef3ecf18ea33
Fixes: #37186
Releases: 1.1, 1.2

History
#1 - 2012-05-21 14:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11365

#2 - 2012-05-21 14:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11365
#3 - 2012-05-22 02:41 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2810a6cc168300f5381953631a1b953ca2b3b3ac.

2015-08-03 2/2


